Node: Global Operations on the Kerberos Database, Next: Cross-realm Authentication, Previous: Policies, Up: Administrating the Kerberos Database

### Global Operations on the Kerberos Database

The `kdb5_util` command is the primary tool for administrating the Kerberos database. The syntax is:

         kdb5_util command [kdb5_util_options] [command_options]

The `kdb5_util` command takes the following options, which override the defaults specified in the configuration files:

-r realm
  specifies the the Kerberos realm of the database.
-d database_name
  specifies the name under which the principal database is stored.
-k master_key_type
  specifies the key type of the master key in the database.
-M master_key_name
  specifies the principal name of the master key in the database.
-m
  indicates that the master database password should be read from the TTY rather than fetched from a file on disk.
-sf stash_file
  specifies the stash file of the master database password
-P password
  specifies the master database password. MIT does not recommend using this option.